#carousel-box {
    display: flex;
    flex-direction: column;
    width: 100%;
    height: 100%;
    overflow-y: scroll;
    overflow-x: scroll;
}

#carousel-indicator-div {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 3em;
}

#carousel-lower-div {
    display: flex;
    flex-direction: row;
    width: 100%;
    height: calc(100% - 3em);
}

.carousel-arrow {
    width: 3em;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.carousel-inner {
    position: relative;
    width: calc(100% - 6em);
    height: 100%;
}

.carousel-item {
    display: flex;
    position: absolute;
    width: 100%;
    height: 100%;
    overflow-y: scroll;
}

.single-indicator {
    width: 0.6em;
    height: 0.6em;
    background-color: #3379b7;
    border-radius: 50%;
    margin: 0.3em;
}

.carousel-arrow-btn {
    font-size: 20pt;
    color: #3379b7;
    text-decoration: none;
}

.single-indicator:hover {
    background-color: #d9534e;
    cursor: pointer;
}

.carousel-arrow:hover span {
    color: #d9534e;
    cursor: pointer;
}

div .active {
    background-color: #d9534e;
}

#select-drawing-option-container {
    width: calc(100% - 10em);
}

#shapefile-select-options {
    display: none;
    flex-direction: row;
    width: calc(66.6% - 6.66em);
}

#carousel-container-2 {
    left: 100%;
    top: 0;
    display: flex;
    flex-direction: column;
}

#carousel-container-3 {
    left: 200%;
    top: 0;
}

#carousel-container-4 {
    left: -100%;
    top: 0;
}

#data-graph {
    height: calc(100% - 3em);
    min-height: 20em;
}

#variable-and-dimensions {
    grid-column-start: 1;
    display: grid;
    grid-template-columns: 25% 25% 25% 25%;
    grid-template-rows: auto;
}

.float-right-div {
    width: 100%;
    height: 3em;
    display: flex;
    flex-direction: row;
    justify-content: right;
    align-items: center;
}

#carousel-container-1 {
    left: 0;
    top: 0;
    display: flex;
    justify-content: center;
    overflow-y: scroll;
}

#opacity-slider {
    cursor: pointer;
    width: calc(100% - 55em);
}

#plot-btn-and-engine-container {
    display: flex;
    flex-direction: row;
    width: 100%;
}

#plot-time-series-button {
    height: 2.65em;
    width: 100%;
    margin: 0.025em;
}

#engine-div {
    width: 33.33%;
    display: flex;
    flex-direction: row;
}

.carousel-flex {
    display: flex;
    flex-direction: column;
    align-items: center;
    height: 100%;
    min-height: 40em;
    width: 100%;
    padding: 2em;
}

.carousel-flex-column {
    display: flex;
    flex-direction: column;
    width: 100%;
}

.selectpicker-group {
    display: flex;
    flex-direction: row;
    height: 2.7em;
    background-color: #3379b7;
    border-radius: 0.4em;
    border-style: solid;
    border-color: #89a6c2;
    border-width: 0.01em;
}

.dropdown-menu {
    width: 100%;
}

.selectpicker-prepend {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: left;
    padding-left: 1em;
    background-color: #3379b7;
    color: white;
    height: 2.43em;
}

.selectpicker-button {
    background-color: #3379b7;
    color: white;
}

.btn-primary {
    border-color: #3379b7;
    background-color: #3379b7;
    color: white;
}

.btn-primary:hover {
    border-color: #204d74;
    background-color: #204d74;
    color: white;
}

.wms-input {
    height: 2.4em;
    background-color: #3478b7;
    color: white;
    font-family: "Helvetica Neue";
    text-align: center;
}

.div-button {
    background-color: #3478b7;
    color: white;
}

.div-button:hover {
    background-color: #1c588f;
    cursor: pointer;
}

.disabled-true {
    color: white;
}

.disabled-false {
    color: #89a6c1;
}

.base-menu-metadata-divs {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
}

.scroll-y {
    overflow-y: scroll;
}

.file-metadata-outer-div {
    width: 100%;
    min-height: 1.5em;
    height: auto;
    display: flex;
    flex-direction: row;
}

.file-metadata-inner {
    width: 50%;
    min-height: 1.5em;
    height: auto;
    display: flex;
    align-items: center;
}

.file-metadata-inner p {
    margin: 2em;
    color: black;
}

.file-metadata-inner b {
    margin: 2em;
    color: black;
}

.darker {
    background-color: #c5c5c5;
}

.lighter {
    background-color: #e0e0e0;
}

.variable-metadata-inner {
    height: auto;
    display: flex;
    align-items: center;
}

.variable-metadata-inner p {
    margin: 2em;
    color: black;
}

.variable-metadata-inner b {
    margin: 2em;
    color: black;
}

.metadata-info-icon {
    display: flex;
    justify-content: center;
}
